Prepare Staging for LT evaluation

2012-04-02 14:31 - Dave Vieglais

Status: Closed Start date: 2012-04-02

Priority: High Due date:  

Assignee: Chris Jones % Done: 100%

Category: Environment.Production Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Story Points:    

Description

The staging environment needs to be prepared for evaluation by the DataONE leadership team.

The current plan is to operate Staging with a single CN so that evaluation can continue in parallel with ongoing development in the

sandbox environment, especially with respect to resolving the issues with maintenance of consistency between the CNs.

Staging should be composed of the following nodes:

cn-stage-ucsb-1.dataone.org (existing VM, needs CN stack installed)

mn-stage-ucsb-1.dataone.org (existing VM, metacat) 12 CPU, 24GB RAM, 2.2TB disk

mn-stage-ucsb-3.dataone.org (existing VM, metacat) 4 CPU, 8GB RAM, 22GB disk

mn-stage-unm-1.dataone.org (new VM, metacat or gmn)

mn-stage-orc-1.dataone.org (existing VM, gmn) 4cpu, 32gb RAM 132GB disk

With the RR DNS entry:

cn-stage.dataone.org (single target)

Subtasks:

Task # 2561: Create Staging RR DNS to refer only to UCSB-1 Closed

Task # 2562: Purge CN staging MNs and populate with approx 500 knb records Closed

Task # 2563: Ensure postgres is configured for auth management on cn-stage-ucsb-1 Closed

Task # 2573: install CN stack on cn-staging-ucsb-1 Closed

Task # 2574: Create mn-stage-unm-1.dataone.org Closed

Task # 2581: Create DNS entry for mn-stage-unm-1 Closed

History

#1 - 2012-04-04 14:59 - Dave Vieglais

- Subject changed from Prepare sandbox for LT evaluation to Prepare Staging for LT evaluation

- Assignee changed from Ben Leinfelder to Chris Jones

- Target version set to Sprint-2012.11-Block.2.2

#2 - 2012-04-09 14:07 - Chris Jones

- Status changed from New to In Progress

The stage environment is installed, so far with 1 CN and 3 MNs (with GMN installed on mn-stage-orc-1).  I'll wait to close this when the subtasks are

closed. For #2573, the CN was installed on cn-stage-orc-1 (not ucsb)

#3 - 2012-04-20 15:32 - Chris Jones

- Status changed from In Progress to Closed

All subtasks were completed and the stage env was evaluated by the Leadership Team.

Powered by TCPDF (www.tcpdf.org)

2024-04-24 1/1

https://redmine.dataone.org/issues/2573
http://www.tcpdf.org

